Skip to main content
GET
/
api
/
chats
/
id
/
{id}
Get chat by ID via API key
curl --request GET \
  --url https://api.leanmcp.com/api/chats/id/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.leanmcp.com/api/chats/id/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.leanmcp.com/api/chats/id/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "userId": "<string>",
  "title": "<string>",
  "isPublic": false,
  "status": "active",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "messageCount": 1,
  "showcased": false,
  "summary": "<string>",
  "modelUsed": "<string>",
  "systemMessageId": "<string>",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Enter your LeanMCP API key

Path Parameters

id
string
required

Chat ID

Example:

"c1a83d84-7154-464c-bd19-a9f10e0a067f"

Response

Chat retrieved successfully

id
string
required

Unique chat identifier (UUID)

userId
string
required

User ID who owns this chat

title
string
required

Chat title or subject

isPublic
boolean
default:false
required

Whether this chat is publicly accessible

status
enum<string>
default:active
required

Current status of the chat

Available options:
active,
archived,
deleted
createdAt
string
required

Timestamp when chat was created

updatedAt
string
required

Timestamp when chat was last updated

messageCount
number
required

Number of messages in this chat

Required range: x >= 0
showcased
boolean
default:false

Whether this chat is showcased/featured

summary
string

Brief summary of the chat conversation

modelUsed
string

AI model used in this chat (e.g., claude-3-sonnet)

systemMessageId
string

ID of the system message for this chat

metadata
object

Additional metadata for the chat